:begin
@echo off
echo IBM WebSphere Commerce Version 5.4 Fix install for Windows, APAR IY46716

set JARFILENAME=IY46716_wc_WIN.jar
set BACKUPJARFILENAME=IY46716_wc_WIN_backup.jar
set LOGFILENAME=IY46716_wc_WIN.log

echo Are you applying this Fixpack to IBM WebSpere Commerce Studio?
GetInput STUDIO "(y)es or (n)o" ~studio.bat
call ~studio.bat
del ~studio.bat

IF /I "%STUDIO%" == "y" goto studio_yes
IF /I "%STUDIO%" == "n" goto studio_no
goto bad_studio

:studio_yes
rem #############################################################################
echo Enter the directory where the IBM WebSpere Commerce Studio is installed
GetInput WC_HOME "For example, C:\WebSphere\CommerceServerDev " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\fix\IY46716
set CLASSPATH=%CLASSPATH%;%WC_HOME%\lib\xml4j.jar;%WC_HOME%\lib\xerces.jar

find /C "- Studio" "%WC_HOME%"\xml\product.xml >> %LOGFILENAME% 2>&1
if %ERRORLEVEL% == 1 goto missing_studio_install >> %LOGFILENAME% 2>&1

echo Enter the directory where java.exe is located
GetInput JAVA_PATH "For example, D:\WebSphere\WebSphereStudio4\bin " ~javapath.bat
call ~javapath.bat
del ~javapath.bat

:verify_java_path
echo The JAVA_PATH is %JAVA_PATH%
echo The JAVA_PATH is %JAVA_PATH% >> "%WC_SERVICE%"\%LOGFILENAME% 2>&1
IF NOT EXIST "%JAVA_PATH%"\java.exe   goto bad_java_path
set PATH=%JAVA_PATH%;%PATH%
rem #############################################################################
goto start_edition


:studio_no
rem #############################################################################
echo Enter the directory where the IBM WebSpere Commerce Server is installed
GetInput WC_HOME "For example, C:\Program Files\WebSphere\CommerceServer " ~wchome.bat
call ~wchome.bat
del ~wchome.bat
set WC_SERVICE=%WC_HOME%\service\fix\IY46716

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
echo The WAS_HOME is %WAS_HOME% >> "%WC_SERVICE%"\%LOGFILENAME% 2>&1
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home
set PATH="%WAS_HOME%"\java\bin;%PATH%
rem #############################################################################
goto start_edition

:start_edition
echo Enter the installed Edition of the IBM WebSpere Commerce Server
GetInput WC_EDITION "For example, Business or Pro " ~wcedition.bat
call ~wcedition.bat
del ~wcedition.bat

:verify_wc_edition
echo The WC_EDITION is %WC_EDITION%
IF /I "%WC_EDITION%" == "Pro" goto verify_wc_home
IF /I "%WC_EDITION%" == "Business" goto verify_wc_home
goto bad_wc_edition

:verify_wc_home
echo The WC_HOME is %WC_HOME%
IF NOT EXIST "%WC_HOME%"\xml\product.xml   goto bad_wc_home

:start
IF NOT EXIST    .\IY46716_wc_WIN.jar goto bad_pwd
IF NOT EXIST    .\Delta.jar     goto bad_pwd
IF NOT EXIST     "%WC_HOME%"\service   mkdir "%WC_HOME%"\service
IF NOT EXIST     "%WC_HOME%"\service\fix   mkdir "%WC_HOME%"\service\fix
IF NOT EXIST     "%WC_HOME%"\service\fix\IY46716   mkdir "%WC_HOME%"\service\fix\IY46716

echo The PATH is %PATH% >> "%WC_SERVICE%"\%LOGFILENAME% 2>&1
java -jar %JARFILENAME% -TargetDir "%WC_HOME%" -BackupJar "%WC_SERVICE%"\%BACKUPJARFILENAME% -logFile "%WC_SERVICE%"\%LOGFILENAME%
if %ERRORLEVEL% == 8 goto end

IF /I "%WC_EDITION%" == "Pro" goto pro
IF /I "%WC_EDITION%" == "Business" goto business
goto end

:pro
goto end

:business
goto end

:bad_was_home
echo.
echo Could not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:bad_java_path
echo.
echo Could not locate %JAVA_PATH%\java.exe
echo Please specify the correct JAVA_PATH directory and rerun this script.
echo.
goto end

:bad_wc_home
echo.
echo Could not locate %WC_HOME%\xml\product.xml
echo Please specify the correct WC_HOME directory and rerun this script.
echo.
goto end

:bad_pwd
echo.
echo Could not locate the files: %JARFILENAME%, Delta.jar
echo.
goto end

:bad_wc_edition
echo The edition of %WC_EDITION% is incorrect.
goto end

:bad_studio
echo Please respond y or n
goto end

:missing_studio_install
echo Could not find Studio entry in %WC_HOME%\xml\product.xml
goto end

:end
echo Please view the log file at %WC_SERVICE%\%LOGFILENAME%
echo Done
echo Done >> "%WC_SERVICE%"\%LOGFILENAME% 2>&1
